Subject: Re: bug#39885: Bioconductor tarballs are not archived

From: Simon Tournier <[email-masked]>
Date: Wed, 10 Jan 2024 16:23:41 +0100

Hi,

On Wed, 10 Jan 2024 at 13:42, Ricardo Wurmus <[email-masked]> wrote:

> Do we have a list of desired tarballs?

I made one. :-)  I will share the manifest once a bit more polish. ;-)

Roughly, until 3.11 -- for earlier, I am still fighting with
time-machine -- and only the versions right before a Bioconductor
upgrade (and sadly not the version after such upgrade that, for many
have disappeared from Bioconductor).  If you have them, cool!  Well,
for now, I am speaking about all the Bioconductor packages except
annotations for these Guix revisions:

--8<---------------cut here---------------start------------->8---
git log --format="%P %s" --after=2019-04-30                     \
    | grep -i -E 'bioconductor' | grep -i -E '(update|upgrade)' \
    | cut -f1 -d' '                                             \
    | head -8
--8<---------------cut here---------------end--------------->8---

And for instance, I have this kind of sources.json.

--8<---------------cut here---------------start------------->8---
{
  "sources": [
    {
      "type": "url",
      "urls": [
        "https://bordeaux.guix.gnu.org/file/progeny_1.22.0.tar.gz/sha256/047x6by3xa15gvi3kny5pkqxaq8d2kzcfi55ic5j7a351715l6l7",
        "https://ci.guix.gnu.org/file/progeny_1.22.0.tar.gz/sha256/047x6by3xa15gvi3kny5pkqxaq8d2kzcfi55ic5j7a351715l6l7",
        "https://bioconductor.org/packages/3.17/bioc/src/contrib/progeny_1.22.0.tar.gz",
        "https://tarballs.nixos.org/sha256/047x6by3xa15gvi3kny5pkqxaq8d2kzcfi55ic5j7a351715l6l7"
      ],
      "integrity": "sha256-hxpawgllqCMLi6VEx/4UDWHV8bzF2znifiWoPvwy/RA=",
      "outputHashAlgo": "sha256",
      "outputHashMode": "flat"
    },
    {
      "type": "url",
      "urls": [
        "https://bordeaux.guix.gnu.org/file/AWFisher_1.14.0.tar.gz/sha256/1c6rr1z1rhvn8w1kb3nnjlfacfr22vwm1rsa1xqm2hmghs01bq4x",
        "https://ci.guix.gnu.org/file/AWFisher_1.14.0.tar.gz/sha256/1c6rr1z1rhvn8w1kb3nnjlfacfr22vwm1rsa1xqm2hmghs01bq4x",
        "https://bioconductor.org/packages/3.17/bioc/src/contrib/AWFisher_1.14.0.tar.gz",
        "https://tarballs.nixos.org/sha256/1c6rr1z1rhvn8w1kb3nnjlfacfr22vwm1rsa1xqm2hmghs01bq4x"
      ],
      "integrity": "sha256-neAVgIavQlFxD0rnUPkWIjumHJXWjjUDR3bDHH7I2bA=",
      "outputHashAlgo": "sha256",
      "outputHashMode": "flat"
    },
--8<---------------cut here---------------end--------------->8---

Where the URL for ci.guix is incorrect, I guess.

Cheers,
simon